OpenJPEG 2.5.4

Macros
opj_common.h File Reference

Go to the source code of this file.

## Macros
#define | OPJ_COMMON_CBLK_DATA_EXTRA 2
| Margin for a fake FFFF marker.
#define | OPJ_COMP_PARAM_DEFAULT_CBLOCKW 64
#define | OPJ_COMP_PARAM_DEFAULT_CBLOCKH 64
#define | OPJ_COMP_PARAM_DEFAULT_PROG_ORDER OPJ_LRCP
#define | OPJ_COMP_PARAM_DEFAULT_NUMRESOLUTION 6

## Macro Definition Documentation

## ◆ OPJ_COMMON_CBLK_DATA_EXTRA

#define OPJ_COMMON_CBLK_DATA_EXTRA 2

Margin for a fake FFFF marker.

Referenced by opj_j2k_read_sod(), opj_mqc_init_dec_common(), opj_t1_decode_cblk(), and opq_mqc_finish_dec().

## ◆ OPJ_COMP_PARAM_DEFAULT_CBLOCKH

#define OPJ_COMP_PARAM_DEFAULT_CBLOCKH 64

Referenced by opj_j2k_set_imf_parameters(), and opj_set_default_encoder_parameters().

## ◆ OPJ_COMP_PARAM_DEFAULT_CBLOCKW

#define OPJ_COMP_PARAM_DEFAULT_CBLOCKW 64

Referenced by opj_j2k_set_imf_parameters(), and opj_set_default_encoder_parameters().

## ◆ OPJ_COMP_PARAM_DEFAULT_NUMRESOLUTION

#define OPJ_COMP_PARAM_DEFAULT_NUMRESOLUTION 6

Referenced by opj_j2k_set_imf_parameters(), and opj_set_default_encoder_parameters().

## ◆ OPJ_COMP_PARAM_DEFAULT_PROG_ORDER

#define OPJ_COMP_PARAM_DEFAULT_PROG_ORDER OPJ_LRCP

Referenced by opj_j2k_set_imf_parameters(), and opj_set_default_encoder_parameters().